Bug 651261 - kadu-mime_tex contains an embedded copy of mimetex, prone to CVE-2009-1382 [fedora-all]
kadu-mime_tex contains an embedded copy of mimetex, prone to CVE-2009-1382 [f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kadu (Show other bugs)
17
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Radek Lisowski
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2009-1382/CVE-2009-2459
  Show dependency treegraph
 
Reported: 2010-11-09 00:45 EST by Silvio Cesare
Modified: 2013-02-21 16:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 16:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Silvio Cesare 2010-11-09 00:45:45 EST
Description of problem:

kadu-mime_tex embeds an older version of mimetex which is prone to CVE-2009-1382.

Version-Release number of selected component (if applicable):

Name: kadu-mime_tex
Version: 0.6.5.4
Release: 4.fc13

Additional info:

The vulnerability in the system mimetex package which has already been fixed:

https://bugzilla.redhat.com/show_bug.cgi?id=511049

Also: Please consider the package in Fedora-13
      to use system mimetex library, which is not vulnerable to this
      flaw already. This is the preferred way of fixing the deficiency,
      as could be helpful also in future cases like this one.
Comment 1 Silvio Cesare 2010-11-09 01:18:01 EST
It looks like CVE-2009-1382 is not a problem because it is only in mimetex.cgi which isn't in kadu. But CVE-2009-2459 is still an issue.
Comment 2 Vincent Danen 2010-11-09 15:45:04 EST
I'm not sure that it is.  The report that generated the CVE contains this (which is what the CVE was based on):

"In addition, the \environ, \input and \counter directives may be unsuitable for exposure to untrusted input from the internet and have therefore been disabled by default."

Looking at kadu, the mime_text module allows for editing TeX math formulas in a chat.  I suppose chatting with someone might be considered untrusted input, but you need to be chatting with the person first (and presumably trust them to some degree, or at least know them).

I also don't believe there is a "mimetex library" that can be linked against.

We could/should probably update kadu's mimetex source from the upstream mimetex sources, but upstream kadu should probably be informed as well.  Have you reported this upstream?
Comment 3 Silvio Cesare 2010-11-09 18:03:10 EST
The kadu website asks to submit bugs to their forum. Their forum is in Polish however and translation is not being nice.

Can the Fedora package maintainer submit a report upstream?

I think you are right that there is not a library package of mimetex. I don't think there are other uses of embedded mimetex in Fedora, but I will do some more checking when I am back at my office tomorrow.

I also consider unsolicited chat a reasonable attack vector, but it does require some user action. My main concern with this bug report is knowing for certain if the vulnerable code the CVE talks about is present in the kadu mimetex.
Comment 4 Vincent Danen 2010-11-10 12:02:06 EST
Right, it does require user intervention, which lessens the impact.

Hopefully the Fedora maintainer can report the issue upstream.  Regardless, I do think it's something we would want to fix; regardless of the impact it is an issue.
Comment 5 Tomas Hoger 2011-03-01 09:55:26 EST
Removing security restriction, the issue is public.
Comment 6 Bug Zapper 2011-05-30 09:58:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vincent Danen 2011-05-30 12:50:34 EDT
Bumping this to Fedora 14; it would be ideal to see this correct in F14+.
Comment 8 Fedora End Of Life 2012-08-16 15:51:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Vincent Danen 2012-09-11 12:31:46 EDT
kadu 0.10.1 seems to be using mimetex 1.71:

% egrep '^#define\s(VERSION|REVISION)' mimetex.c
#define VERSION "1.71"          /* mimeTeX version number */
#define REVISIONDATE "18 November 2009" /* date of most recent revision */

Unfortunately, it's only in Fedora 16 testing, not in Fedora 17 (failed build), or Fedora 18.

This still needs to be fixed (getting 0.10.1 to build and pushed to all supported versions of Fedora would suffice).
Comment 10 Mat Booth 2013-02-21 16:55:46 EST
This package was retired:

http://pkgs.fedoraproject.org/cgit/kadu.git/tree/dead.package

Note You need to log in before you can comment on or make changes to this bug.